﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Admin.Master" Inherits="Veritas.UI.Web.Views.VeritasViewPage<Veritas.BusinessLayer.Screens.Admin.Settings.SettingsEditScreen>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    <%: Model.blogConfig.Title %> - Feedback Settings
</asp:Content>

<asp:Content ID="MetaContent" ContentPlaceHolderID="MetaContent" runat="server">
    <meta name="description" content="<%= Model.blogConfig.Title %> - Contact" />
    <meta name="Keywords" content="<%= Model.blogConfig.Title %>,Contact" />
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2>Feedback Settings</h2>

    <% Html.RenderPartial("~/Views/UserControls/UcAdminSettingsMenu.ascx"); %>                            

    <fieldset>
        <legend>Details</legend>
        <%= Html.ValidationSummary() %>
        <% using (Html.BeginForm("Settings/Save", "Admin", new { subSettingName = "Feedback" }))
           { %>
            
            <dl>
                <dt>
                    <label for="AllowComments">Allow Comments</label>
                </dt>
                <dd>
                    <%=Html.CheckBox("blogConfig.AllowComments", Model.blogConfig.AllowComments, new {  @class="icheckbox" })%>    
                    <label class="required"></label>    
                    <%=Html.ValidationMessage("blogConfig.AllowComments", "*")%>
                </dd>
            </dl>

            <dl>
                <dt>
                    <label for="EnableFeedbackAuthorNotifications">Enable Feedback Author Notifications</label>
                </dt>
                <dd>
                    <%=Html.CheckBox("blogConfig.EnableFeedbackAuthorNotifications", Model.blogConfig.EnableFeedbackAuthorNotifications, new { @class = "icheckbox" })%>    
                    <label class="required"></label>    
                    <%=Html.ValidationMessage("blogConfig.EnableFeedbackAuthorNotifications", "*")%>
                </dd>
            </dl>

            <dl>
                <dt>
                    <label for="EnableFeedbackRssFeed">Enable Feedback RSS Feed</label>
                </dt>
                <dd>
                    <%=Html.CheckBox("blogConfig.EnableFeedbackRssFeed", Model.blogConfig.EnableFeedbackRssFeed, new { @class = "icheckbox" })%>    
                    <label class="required"></label>    
                    <%=Html.ValidationMessage("blogConfig.EnableFeedbackRssFeed", "*")%>
                </dd>
            </dl>

            <dl>
                <dt>
                    <label for="FeedbackRequiresApproval">Feedback Requires Approval</label>
                </dt>
                <dd>
                    <%=Html.CheckBox("blogConfig.FeedbackRequiresApproval", Model.blogConfig.FeedbackRequiresApproval, new { @class = "icheckbox" })%>    
                    <label class="required"></label>    
                    <%=Html.ValidationMessage("blogConfig.FeedbackRequiresApproval", "*")%>
                </dd>
            </dl>

            <dl>
                <dt>
                    <label for="NotifyAdminsForFeedback">Notify Admins for feedback</label>
                </dt>
                <dd>
                    <%=Html.CheckBox("blogConfig.NotifyAdminsForFeedback", Model.blogConfig.NotifyAdminsForFeedback, new { @class = "icheckbox" })%>    
                    <label class="required"></label>    
                    <%=Html.ValidationMessage("blogConfig.NotifyAdminsForFeedback", "*")%>
                </dd>
            </dl>

            <dl>
                <dt>
                    <label for="DaysUntilCommentsClose">Days until Comments Close</label>
                </dt>
                <dd>
                    <%=Html.TextBox("blogConfig.DaysUntilCommentsClose", Model.blogConfig.DaysUntilCommentsClose, new { size = 70, @class = "itext" })%>    
                    <label class="required"></label>
                    <%=Html.ValidationMessage("blogConfig.DaysUntilCommentsClose", "*")%>
                </dd>
            </dl>

            <dl>
                <dt>
                    <label for="FeedbackCount">Feedback Count</label>
                </dt>
                <dd>
                    <%=Html.TextBox("blogConfig.FeedbackCount", Model.blogConfig.FeedbackCount, new { size = 70, @class = "itext" })%>    
                    <label class="required"></label>
                    <%=Html.ValidationMessage("blogConfig.FeedbackCount", "*")%>
                </dd>
            </dl>

            <dl>
                <dt>
                    <label for="UseDefaultComments">Use Default Comments</label>
                </dt>
                <dd>
                    <%=Html.CheckBox("blogConfig.BlogCommentInfo.UseDefaultComments", Model.blogConfig.BlogCommentInfo.UseDefaultComments, new { @class = "icheckbox" })%>    
                    <label class="required"></label>    
                    <%=Html.ValidationMessage("blogConfig.BlogCommentInfo.UseDefaultComments", "*")%>
                </dd>
            </dl>
            
            <dl>
                <dt>
                    <label for="UseDisqusComments">Use Disqus Comments</label>
                </dt>
                <dd>
                    <%=Html.CheckBox("blogConfig.BlogCommentInfo.UseDisqusComments", Model.blogConfig.BlogCommentInfo.UseDisqusComments, new { @class = "icheckbox" })%>    
                    <label class="required"></label>    
                    <%=Html.ValidationMessage("blogConfig.BlogCommentInfo.UseDisqusComments", "*")%>
                </dd>
            </dl>
        
            <dl>
                <dt>
                    <label for="DisqusAccountName">Disqus Account Name</label>
                </dt>
                <dd>
                    <%=Html.TextBox("blogConfig.BlogCommentInfo.DisqusAccountName", Model.blogConfig.BlogCommentInfo.DisqusAccountName, new { size = 70, @class = "itext" })%>    
                    <label class="required"></label>
                    <%=Html.ValidationMessage("blogConfig.BlogCommentInfo.DisqusAccountName", "*")%>
                </dd>
            </dl>    

            <dl>
                <dt>
                    <label for="DisqusCommentScript">Disqus Comment Script</label>
                </dt>
                <dd>
                    <%=Html.TextBox("blogConfig.BlogCommentInfo.DisqusCommentScript", Model.blogConfig.BlogCommentInfo.DisqusCommentScript, new { size = 70, @class = "itext" })%>    
                    <label class="required"></label>
                    <%=Html.ValidationMessage("blogConfig.BlogCommentInfo.DisqusCommentScript", "*")%>
                </dd>
            </dl>

            <input type="submit" value="Save" />
        <% } %>
    </fieldset>

</asp:Content>

