﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Admin.Master" Inherits="Veritas.UI.Web.Views.VeritasViewPage<Veritas.BusinessLayer.Screens.Admin.Settings.SettingsEditScreen>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    <%: Model.blogConfig.Title %> - General Settings
</asp:Content>

<asp:Content ID="MetaContent" ContentPlaceHolderID="MetaContent" runat="server">
    <meta name="description" content="<%= Model.blogConfig.Title %> - Contact" />
    <meta name="Keywords" content="<%= Model.blogConfig.Title %>,Contact" />
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2>General Settings</h2>

    <% Html.RenderPartial("~/Views/UserControls/UcAdminSettingsMenu.ascx"); %>                            

    <fieldset>
        <legend>Details</legend>
        <%= Html.ValidationSummary() %>
        <% using (Html.BeginForm("Settings/Save", "Admin", new { subSettingName = "General" }))
           { %>
            <dl>
                <dt>
                    <label for="BlogAbout">Blog About</label>
                </dt>
                <dd>
                    <%=Html.TextArea("blogConfig.BlogAbout", Model.blogConfig.BlogAbout, new { rows="10",cols="70", @class = "itext" })%>    
                    <label class="required"></label>
                    <%=Html.ValidationMessage("blogConfig.BlogAbout", "*")%>
                </dd>
            </dl>
            <dl>
                <dt>
                    <label for="BlogHeaderImage">Blog Header Image Path</label>
                </dt>
                <dd>
                    <%=Html.TextBox("blogConfig.BlogHeaderImage", Model.blogConfig.BlogHeaderImage, new { size=70, @class="itext" })%>    
                    <label class="required"></label>
                    <%=Html.ValidationMessage("blogConfig.BlogHeaderImage", "*")%>
                </dd>
            </dl>
            <dl>
                <dt>
                    <label for="BlogHeaderIsImage">Blog Header Is Image</label>
                </dt>
                <dd>
                    <%=Html.CheckBox("blogConfig.BlogHeaderIsImage", Model.blogConfig.BlogHeaderIsImage, new {  @class="icheckbox" })%>    
                    <label class="required"></label>    
                    <%=Html.ValidationMessage("blogConfig.BlogHeaderIsImage", "*")%>
                </dd>
            </dl>
            <dl>
                <dt>
                    <label for="IsActive">Is Active</label>
                </dt>
                <dd>
                    <%=Html.CheckBox("blogConfig.IsActive", Model.blogConfig.IsActive, new {  @class="icheckbox" })%>    
                    <label class="required"></label>    
                    <%=Html.ValidationMessage("blogConfig.IsActive", "*")%>
                </dd>
            </dl>
            <dl>
                <dt>
                    <label for="ShowAuthorsAbout">Show Authors About</label>
                </dt>
                <dd>
                    <%=Html.CheckBox("blogConfig.ShowAuthorsAbout", Model.blogConfig.ShowAuthorsAbout, new {  @class="icheckbox" })%>    
                    <label class="required"></label>    
                    <%=Html.ValidationMessage("blogConfig.ShowAuthorsAbout", "*")%>
                </dd>
            </dl>
            <dl>
                <dt>
                    <label for="ShowBlogAbout">Show Blog About</label>
                </dt>
                <dd>
                    <%=Html.CheckBox("blogConfig.ShowBlogAbout", Model.blogConfig.ShowBlogAbout, new {  @class="icheckbox" })%>    
                    <label class="required"></label>    
                    <%=Html.ValidationMessage("blogConfig.ShowBlogAbout", "*")%>
                </dd>
            </dl>
            <dl>
                <dt>
                    <label for="ShowGravatars">Show Gravatars</label>
                </dt>
                <dd>
                    <%=Html.CheckBox("blogConfig.ShowGravatars", Model.blogConfig.ShowGravatars, new {  @class="icheckbox" })%>    
                    <label class="required"></label>    
                    <%=Html.ValidationMessage("blogConfig.ShowGravatars", "*")%>
                </dd>
            </dl>
            <dl>
                <dt>
                    <label for="CopyrightText">Copyright Text</label>
                </dt>
                <dd>
                    <%=Html.TextBox("blogConfig.CopyrightText", Model.blogConfig.CopyrightText, new { size=70, @class="itext" })%>    
                    <label class="required"></label>
                    <%=Html.ValidationMessage("blogConfig.CopyrightText", "*")%>
                </dd>
            </dl>
            <dl>
                <dt>
                    <label for="FacebookUrl">Facebook Url</label>
                </dt>
                <dd>
                    <%=Html.TextBox("blogConfig.FacebookUrl", Model.blogConfig.FacebookUrl, new { size=70, @class="itext" })%>    
                    <label class="required"></label>
                    <%=Html.ValidationMessage("blogConfig.FacebookUrl", "*")%>
                </dd>
            </dl>
            <dl>
                <dt>
                    <label for="GoogleApiKey">GoogleApi Key</label>
                </dt>
                <dd>
                    <%=Html.TextBox("blogConfig.GoogleApiKey", Model.blogConfig.GoogleApiKey, new { size=70, @class="itext" })%>    
                    <label class="required"></label>
                    <%=Html.ValidationMessage("blogConfig.GoogleApiKey", "*")%>
                </dd>
            </dl>
            <dl>
                <dt>
                    <label for="HeaderScript">Header Script</label>
                </dt>
                <dd>
                    <%=Html.TextArea("blogConfig.HeaderScript", Model.blogConfig.HeaderScript, new { rows="10",cols="70", @class = "itext" })%>    
                    <label class="required"></label>
                    <%=Html.ValidationMessage("blogConfig.HeaderScript", "*")%>
                </dd>
            </dl>
            <dl>
                <dt>
                    <label for="Language">Language</label>
                </dt>
                <dd>
                    <%=Html.TextBox("blogConfig.Language", Model.blogConfig.Language, new { size=70, @class="itext" })%>    
                    <label class="required"></label>
                    <%=Html.ValidationMessage("blogConfig.Language", "*")%>
                </dd>
            </dl>
            <dl>
                <dt>
                    <label for="PostCount">Post Count</label>
                </dt>
                <dd>
                    <%=Html.TextBox("blogConfig.PostCount", Model.blogConfig.PostCount, new { size=70, @class="itext" })%>    
                    <label class="required"></label>
                    <%=Html.ValidationMessage("blogConfig.PostCount", "*")%>
                </dd>
            </dl>
            <dl>
                <dt>
                    <label for="PostsPerPage">Posts Per Page</label>
                </dt>
                <dd>
                    <%=Html.TextBox("blogConfig.PostsPerPage", Model.blogConfig.PostsPerPage, new { size=70, @class="itext" })%>    
                    <label class="required"></label>
                    <%=Html.ValidationMessage("blogConfig.PostsPerPage", "*")%>
                </dd>
            </dl>
            <dl>
                <dt>
                    <label for="Skin">Skin</label>
                </dt>
                <dd>
                    <%=Html.TextBox("blogConfig.Skin", Model.blogConfig.Skin, new { size=70, @class="itext" })%>    
                    <label class="required"></label>
                    <%=Html.ValidationMessage("blogConfig.Skin", "*")%>
                </dd>
            </dl>
            <dl>
                <dt>
                    <label for="Title">Title</label>
                </dt>
                <dd>
                    <%=Html.TextBox("blogConfig.Title", Model.blogConfig.Title, new { size=70, @class="itext" })%>    
                    <label class="required"></label>
                    <%=Html.ValidationMessage("blogConfig.Title", "*")%>
                </dd>
            </dl>
            <dl>
                <dt>
                    <label for="Subtitle">Subtitle</label>
                </dt>
                <dd>
                    <%=Html.TextBox("blogConfig.SubTitle", Model.blogConfig.SubTitle, new { size=70, @class="itext" })%>    
                    <label class="required"></label>
                    <%=Html.ValidationMessage("blogConfig.SubTitle", "*")%>
                </dd>
            </dl>
            <dl>
                <dt>
                    <label for="TimeZone">TimeZone</label>
                </dt>
                <dd>
                    <%=Html.TextBox("blogConfig.TimeZone", Model.blogConfig.TimeZone, new { size=70, @class="itext" })%>    
                    <label class="required"></label>
                    <%=Html.ValidationMessage("blogConfig.TimeZone", "*")%>
                </dd>
            </dl>
            <dl>
                <dt>
                    <label for="WebStatsJavascript">Web Stats Script</label>
                </dt>
                <dd>
                    <%=Html.TextArea("blogConfig.WebStatsJavascript", Model.blogConfig.WebStatsJavascript, new { rows = "10", cols = "70", @class = "itext" })%>    
                    <label class="required"></label>
                    <%=Html.ValidationMessage("blogConfig.WebStatsJavascript", "*")%>
                </dd>
            </dl>

            <input type="submit" value="Save" />
        <% } %>
    </fieldset>

</asp:Content>

